require.config({
	// modules paths
	baseUrl: 'scripts/modules',
	// vendor lib paths
	paths: {
		box2d: '../vendor/Box2d.min/index',
		requestAnimationFrame: '../vendor/raf/raf',
		jquery: '../vendor/jquery/jquery',
		processing: '../vendor/processing/processing'
	},
	shim: {
		// box2d web shim
		'box2d': {
			exports: 'Box2D'
		},
		// processing shim
		'processing': {
			exports: 'Processing'
		}
	}
});

// start the main app logic.
require(['jquery', 'processing', 'scene'],
function($, Processing, Scene) {
	$(function() {
		var url = 'scripts/processing/test.pde',
			id = 'pjs';
		
		// create the box2d scene
		var scene = new Scene();
		
		// load processing script
		$.get(url, function(data) {	
			var pjs = new Processing($('#'+ id)[0], data);
			pjs.setScene(scene);
		});
	});
});